WSLFETCH(1)

NAME
wslfetch - Component of WSL Utilities

SYNOPSIS
wslfetch [-hvcg] [-t THEME] [-o OPTIONS]

DESCRIPTION
This is a WSL Screenshot Information Tool to print information in a elegant way.

OPTIONS

-h, --help
    print a simple help.

-v, --version
    print current version.

-c, --colorbar
    add a colorbar to the printed information. This can also be set with the configuration WSLFETCH_COLORBAR.

-g, --generic
    Force to print information with generic WSL logo.

-t, --theme THEME
    set a custom theme from the file THEME. This can also be set with the configuration WSLFETCH_THEME_PATH.

-o, --options OPTIONS
    set custom options from the file OPTIONS. Please refer to the WSLFETCH_INFO_SECTION in the CONFIGURATION section for more information.

CONFIGURATION

WSLFETCH_INFO_SECTION
    the sections of info from wslsys to show in wslfetch. the following are all the available options:
    windows-install-date
    windows-rel-branch
    windows-build
    windows-full-build
    display-scaling
    windows-locale
    windows-theme
    windows-uptime
    wsl-uptime
    wsl-release
    wsl-kernel
    wsl-package-count
    wsl-ip

'wsl-version' will be always ignored since it is builtin in wslfetch. The default value is "windows-build,windows-rel-branch,wsl-release,wsl-kernel,windows-uptime".

WSLFETCH_THEME_PATH
    This allows you to use your own customized theme.

WSLFETCH_COLORBAR
    whether you want to display colorbar in wslfetch. This will override `-c, --colorbar` param.

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslsys(1), wslu(7)